program fjf56;

procedure foo(a,b:integer); asmname 'Foo';
procedure foo(a,b:integer);
begin
  if ( a = 1 ) and ( b = 2 ) then  (* This depends on how parameters are passed. *)
    writeln ( 'failed' )
  else
    writeln ( 'OK' );
end;

procedure bar(...); asmname 'Foo';

begin
 bar(longint(1),longint(2))
end.
